var KEY_RELLENAR="KEY_RELLENAR";

var KEY_FINALIZAR="KEY_FINALIZAR";

var KEY_IGNORAR="KEY_IGNORAR";

var KEY_SALIR="KEY_SALIR";

var KEY_GRABAR_NO_OM="KEY_GRABAR_NO_OM";

var KEY_GRABAR_NO_SM="KEY_GRABAR_NO_SM";

var KEY_GRABAR_NO_VA="KEY_GRABAR_NO_VA";

var KEY_CONSULTAR_SM="KEY_CONSULTAR_SM";

var KEY_CONSULTAR_OM="KEY_CONSULTAR_OM";

var KEY_CONSULTAR_VAPM="KEY_CONSULTAR_VAPM";



var RADIO_OM="siNoOM";

var RADIO_SM="siNoSM";

var RADIO_VA="siNoVA";



var KEY_OM="KEY_OM";

var KEY_SM="KEY_SM";

var KEY_VAPM="KEY_VAPM";



var PERFIL_1="1";//Superusuario

var PERFIL_2="2";//Con provincia restringida

var PERFIL_3="3";//Con provincia y municipio restringidos



var MODULO = "Cuestionarios";





var provinciaActual="";

var municipioActual="";



function onLoadPage(){

		

		

	var desdeLogin=true;



	ponerAnyoActual();

	resetearRadios();

	resetearIndicadorModificacion();

	if(document.forms["formWellcome"].elements["filtro(codProv)"].value!=""){//Viene de la ventana de alta

		desdeLogin=false;

		document.forms["formWellcome"].elements["filtro(codigoProvincia)"].value=document.forms["formWellcome"].elements["filtro(codProv)"].value;

	} else if (codProvincia != ""){//Cuando ha hecho login tenia informado la provincia

		document.forms["formWellcome"].elements["filtro(codigoProvincia)"].value=codProvincia;

	}

	else document.forms["formWellcome"].elements["filtro(codigoProvincia)"].value=document.forms["formWellcome"].elements["filtro(comboProvincia)"].options[0].value;

	if(desdeLogin)

		ponerMesActual();



	informarCampoTextProv();

	cargarMunicipiosLauncher();

	

	if(document.forms["formWellcome"].elements["filtro(codMuni)"].value!=""){//Viene de la ventana de alta

		document.forms["formWellcome"].elements["filtro(codigoMunicipio)"].value=document.forms["formWellcome"].elements["filtro(codMuni)"].value;	

	}

	else if(codMunicipio!=""){

		document.forms["formWellcome"].elements["filtro(codigoMunicipio)"].value=codMunicipio;	

	}

	else document.forms["formWellcome"].elements["filtro(codigoMunicipio)"].value=document.forms["formWellcome"].elements["filtro(comboMunicipio)"].options[0].value;

	informarCampoTextMuni();

	deshabilitarCamposFormulario();

	obtenerNumCuestionarios();

	deshablitarBtnRellenar();	

		

	/*if (document.forms["formWellcome"].elements["filtro(estadoCapaSM)"].value == "true"){			

		if (document.forms["formWellcome"].elements["filtro(mes)"].value != "1")

		{

			deshabilitarPreguntaOM();

			mostrarCapa("divSueloMunicipal");

			ocultarCapa("divBotonVA");

		}

		else

		{

			deshabilitarPreguntaOM();

			mostrarCapa("divSueloMunicipal");

		}

	}else{

		document.forms["formWellcome"].elements["filtro(estadoCapaSM)"].value = "false";

	}

	if (document.forms["formWellcome"].elements["filtro(estadoCapaVA)"].value == "true"){

		deshabilitarPreguntaSM();

		mostrarCapa("divAlquilerMunicipal");

	}else{

		document.forms["formWellcome"].elements["filtro(estadoCapaVA)"].value = "false";

	}*/



	if(esEnero())

		mostrarCapa("divAlquilerMunicipal");

	

	if(desdeLogin){

		if(Number(perfilUsuario) == 1){

			document.all["filtro(codigoProvincia)"].focus();	

		}

		if(Number(perfilUsuario) == 2){

			document.all["filtro(codigoMunicipio)"].focus();

		}

		if(Number(perfilUsuario) == 3){

			document.forms["formWellcome"].elements["siNoOM"][0].focus();

		}	

	}

	else document.all["filtro(mes)"].focus();



	cargarValoresCombos();



	//Si volvemos de grabar que no, vamos a preguntar si el usuario quiere salir de la aplicacion o no

	if(document.forms["formWellcome"].elements["accion"].value=="KEY_GRABAR_NO_OM" || document.forms["formWellcome"].elements["accion"].value=="KEY_GRABAR_NO_SM" || document.forms["formWellcome"].elements["accion"].value=="KEY_GRABAR_NO_VA"){

		document.forms["formWellcome"].elements["accion"].value="";

		if(confirm(msgSalir))

			submmitFormulario(KEY_SALIR);

	}

}



function deshabilitarCamposFormulario(){

	if(Number(perfilUsuario)>1){//No es superusuario

		document.forms["formWellcome"].elements["filtro(comboProvincia)"].disabled=true;

		document.forms["formWellcome"].elements["filtro(codigoProvincia)"].disabled=true;

		document.all["filtro(comboMunicipio)"].focus();

	}

	if(perfilUsuario=="3"){

		document.forms["formWellcome"].elements["filtro(comboMunicipio)"].disabled=true;

		document.forms["formWellcome"].elements["filtro(codigoMunicipio)"].disabled=true;

		document.all["filtro(tipoCuestionarioOM)"][0].focus();

	}

}



function ponAccion(key){

	if(key==KEY_RELLENAR){		

		if(document.forms["formWellcome"].elements["siNoOM"][0].checked){//SI Obra Mayor			

			if(validarConcedidoLicen())

				submmitFormulario(KEY_OM);						

		}else if(document.forms["formWellcome"].elements["siNoSM"][0].checked){//SI Suelo municipal

				if(validarPrevSuelo())

					submmitFormulario(KEY_SM);				

		}

		else  if(document.forms["formWellcome"].elements["siNoVA"][0].checked){//SI Vivienda de alquiler de propiedad municipal

			if (document.forms["formWellcome"].elements["filtro(numCuestionariosVA)"].value == "1")

			{

				if (!confirm(msgYaExisteCues))

				{

					return;

				}

			}

			if(validarConcedidoLicenVAPM())

				submmitFormulario(KEY_VAPM);

			

		}

		else return false;

	}else if (key==KEY_FINALIZAR){

		if (document.forms["formWellcome"].elements["siNoOM"][0].checked || document.forms["formWellcome"].elements["siNoOM"][1].checked)

		{								

			if(document.forms["formWellcome"].elements["siNoOM"][1].checked){

			if(validarConcedidoLicen()){			

				validarRespuesta(KEY_GRABAR_NO_OM,document.forms["formWellcome"].elements["siNoOM"][0].checked,document.forms["formWellcome"].elements["siNoOM"][1].checked,document.forms["formWellcome"].elements["filtro(numCuestionariosOM)"].value);

			}

			}else validarRespuesta("",true,false,1);//Como n?mero de cuestionarios pasamo un valor mayor que 0 porque ya existe grupo y si pasasemos 0, nos preguntaria si queremos salir sin rellenar

		}

		else if (document.forms["formWellcome"].elements["siNoSM"][0].checked || document.forms["formWellcome"].elements["siNoSM"][1].checked)

		{

			if (document.forms["formWellcome"].elements["siNoSM"][1].checked){

			if(validarPrevSuelo()){

				validarRespuesta(KEY_GRABAR_NO_SM,document.forms["formWellcome"].elements["siNoSM"][0].checked,document.forms["formWellcome"].elements["siNoSM"][1].checked,document.forms["formWellcome"].elements["filtro(numCuestionariosSM)"].value);

			}

			}else validarRespuesta("",true,false,1);//Como n?mero de cuestionarios pasamo un valor mayor que 0 porque ya existe grupo y si pasasemos 0, nos preguntaria si queremos salir sin rellenar



		}

		else if (document.forms["formWellcome"].elements["siNoVA"][0].checked || document.forms["formWellcome"].elements["siNoVA"][1].checked)

		{

			if(document.forms["formWellcome"].elements["siNoVA"][1].checked){

			if(validarConcedidoLicenVAPM()){

				validarRespuesta(KEY_GRABAR_NO_VA,document.forms["formWellcome"].elements["siNoVA"][0].checked,document.forms["formWellcome"].elements["siNoVA"][1].checked,document.forms["formWellcome"].elements["filtro(numCuestionariosVA)"].value);

			}

			}else validarRespuesta("",true,false,1);//Como n?mero de cuestionarios pasamo un valor mayor que 0 porque ya existe grupo y si pasasemos 0, nos preguntaria si queremos salir sin rellenar

		}

		else

			validarRespuesta("",false,false,0);				

	}else if (key==KEY_IGNORAR){		

		return false;

	}else if(key==KEY_GRABAR_NO_OM){

		submmitFormulario(KEY_GRABAR_NO_OM);

	}else if(key==KEY_GRABAR_NO_SM){

		submmitFormulario(KEY_GRABAR_NO_SM);		

	}else if(key==KEY_GRABAR_NO_VA){

		submmitFormulario(KEY_GRABAR_NO_VA);		

	}else if(key==KEY_SALIR){		

		submmitFormulario(KEY_SALIR);

	}

	

}



function validarRespuesta(KEY_GRABAR_NO,respSi,respNo,nCuestionarios){	

	if(respNo){ //Ha seleccionado "No"		

		if(confirm(msgRespNo)){

			//sigue adelante grabando que no

			alert(msgGrabarNo);

			ponAccion(KEY_GRABAR_NO);

		}else{

			//no quiere grabar que no, preguntamos si quiere salir o no

			if (confirm(msgSalirSinRellenar)){

				ponAccion(KEY_SALIR);

			}else{

				return;

			}		

		}

	}

	else if(respSi){ //Ha seleccionado "S?"

		if(nCuestionarios==0 || nCuestionarios==""){//No ha rellenado ning?n cuestioanrio

			if(confirm(msgSalirSinRellenar))

				ponAccion(KEY_SALIR);

			else  ponAccion(KEY_IGNORAR);

		}

		else{//Ha rellenado alg?n cuestionario

			if(confirm(msgSalir))

				ponAccion(KEY_SALIR);

			else ponAccion(KEY_IGNORAR);

		}

	}

	else { //No ha seleccionado ninguna respuesta

		if(confirm(msgSalirSinRellenar))

			ponAccion(KEY_SALIR);

		else ponAccion(KEY_IGNORAR);

	

	}

}



function submmitFormulario(key){	

	if(key!=KEY_SALIR){	

		document.forms["formWellcome"].elements["filtro(municipio)"].value = document.forms["formWellcome"].elements["filtro(comboMunicipio)"].options[document.forms["formWellcome"].elements["filtro(comboMunicipio)"].selectedIndex].text;

		document.forms["formWellcome"].elements["filtro(descMuni)"].value = document.forms["formWellcome"].elements["filtro(comboMunicipio)"].options[document.forms["formWellcome"].elements["filtro(comboMunicipio)"].selectedIndex].text;

		}

	else{

		document.forms["formWellcome"].elements["filtro(codProv)"].value="";

		document.forms["formWellcome"].elements["filtro(codMuni)"].value="";

	}

	document.forms["formWellcome"].accion.value=key;

	document.forms["formWellcome"].submit();

}





function ponerAnyoActual(){

	var anyo = new Date().getFullYear();

	//document.all["titulo"].innerHTML=document.all["titulo"].innerHTML + " " + anyo;

	document.all["anyoRef"].innerHTML ="<strong>"+anyo+"</strong>";

	document.forms["formWellcome"].elements["filtro(ano)"].value=anyo;

}





function ponerMesActual(){

	var mes = new Date().getMonth() +1;

	document.forms["formWellcome"].elements["filtro(mes)"].options.value=mes;



}



function territorioChange(){	

	borrarNiGrupoCuestionarioSM();

	resetearMunicipio();

	informarCampoCodProv();

	resetearRadios();

	resetearIndicadorModificacion();

	limpiarOcultarObservaciones();

	document.forms["formWellcome"].elements["filtro(numCuestionariosOM)"].value="";

	document.forms["formWellcome"].elements["filtro(numCuestionariosSM)"].value="";

	document.forms["formWellcome"].elements["filtro(numCuestionariosVA)"].value="";

	cargarMunicipiosLauncher();			

	informarCampoCodMuni();

	obtenerNumCuestionarios();	

	cargarValoresCombos();

}



function municipioChange(){

	borrarNiGrupoCuestionarioSM();

	informarCampoCodMuni();

	resetearRadios();

	resetearIndicadorModificacion();

	obtenerNumCuestionarios();

	document.forms["formWellcome"].elements["filtro(estadoCapaSM)"].value = "false";

	document.forms["formWellcome"].elements["filtro(estadoCapaVA)"].value = "false";

	//document.forms["formWellcome"].elements["siNoOM"][0].checked=false;

	//document.forms["formWellcome"].elements["siNoOM"][1].checked=false;

	limpiarOcultarObservaciones();

	//ocultarCapa("divSueloMunicipal");

	//ocultarCapa("divAlquilerMunicipal");

	//document.forms["formWellcome"].elements["btnIrCuestionarioSM"].disabled=false;

	//document.forms["formWellcome"].elements["btnIrCuestionarioVA"].disabled=false;

	habilitarRadio("siNoOM");	

	cargarValoresCombos();

}



function mesChange(){

	borrarNiGrupoCuestionarioSM();

	resetearRadios();

	resetearIndicadorModificacion();

	document.forms["formWellcome"].elements["filtro(estadoCapaSM)"].value = "false";

	document.forms["formWellcome"].elements["filtro(estadoCapaVA)"].value = "false";

	//document.forms["formWellcome"].elements["siNoOM"][0].checked=false;

	//document.forms["formWellcome"].elements["siNoOM"][1].checked=false;

	limpiarOcultarObservaciones();

	//ocultarCapa("divSueloMunicipal");

	//ocultarCapa("divAlquilerMunicipal");

	//document.forms["formWellcome"].elements["btnIrCuestionarioSM"].disabled=false;

	//document.forms["formWellcome"].elements["btnIrCuestionarioVA"].disabled=false;

	habilitarRadio("siNoOM");

	obtenerNumCuestionarios();	

}



function provinciaOnBlur(){

	if(existeValorCombo( document.forms["formWellcome"].elements["filtro(codigoProvincia)"].value, document.forms["formWellcome"].elements["filtro(comboProvincia)"])){

	informarCampoTextProv();

	territorioChange();

}

	else{

		alert(msgNoExisteProv);

		document.forms["formWellcome"].elements["filtro(codigoProvincia)"].value=provinciaActual;

		document.all["filtro(codigoProvincia)"].focus();

	}

}



function municipioOnBlur(){

	if(existeValorCombo(document.forms["formWellcome"].elements["filtro(codigoMunicipio)"].value, document.forms["formWellcome"].elements["filtro(comboMunicipio)"])){

	informarCampoTextMuni();

	municipioChange();

	}else{

		alert(msgNoExisteMuni);

		document.forms["formWellcome"].elements["filtro(codigoMunicipio)"].value=municipioActual;

		document.all["filtro(codigoMunicipio)"].focus();

	}

}



function resetearMunicipio(){

	document.forms["formWellcome"].elements["filtro(codMuni)"].value="";

	document.forms["formWellcome"].elements["filtro(comboMunicipio)"].options.length=0;

	document.forms["formWellcome"].elements["filtro(codigoMunicipio)"].value="";

}



function informarCampoCodProv(){

	document.forms["formWellcome"].elements["filtro(codProv)"].value=document.forms["formWellcome"].elements["filtro(comboProvincia)"].value;

	document.forms["formWellcome"].elements["filtro(codigoProvincia)"].value=document.forms["formWellcome"].elements["filtro(comboProvincia)"].value;

}



function informarCampoTextProv(){

	document.forms["formWellcome"].elements["filtro(codProv)"].value=document.forms["formWellcome"].elements["filtro(codigoProvincia)"].value;

	document.forms["formWellcome"].elements["filtro(comboProvincia)"].value=document.forms["formWellcome"].elements["filtro(codigoProvincia)"].value;

}



function informarCampoCodMuni(){

	document.forms["formWellcome"].elements["filtro(codMuni)"].value=document.forms["formWellcome"].elements["filtro(comboMunicipio)"].value;

	document.forms["formWellcome"].elements["filtro(codigoMunicipio)"].value=document.forms["formWellcome"].elements["filtro(comboMunicipio)"].value;

}



function informarCampoTextMuni(){

	document.forms["formWellcome"].elements["filtro(codMuni)"].value=document.forms["formWellcome"].elements["filtro(codigoMunicipio)"].value;

	document.forms["formWellcome"].elements["filtro(comboMunicipio)"].value=document.forms["formWellcome"].elements["filtro(codigoMunicipio)"].value;

}



function cargarMunicipiosLauncher(){

	where = "PROVINCIA_ID = " + document.forms["formWellcome"].elements["filtro(codProv)"].value;

	if(codMunicipio!="")

		where = where + " AND ID = " + codMunicipio;



	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_MUNICIPIO","id","ds_o", "filtro(comboMunicipio)", where, "false", false, "ds_o", "ASC");

	

}



//Funci?n que obtiene el numero de cuestioanrios realizados de Obra Mayor y Suelo Municipal

function obtenerNumCuestionarios(){

	var GDTP = new ARQ_GDTP();

	GDTP.addGroup("APP_PARAMETERS");

	GDTP.addProperty("APP_PARAMETERS","CLASSNAME","q02b.exe.comun.Q02bCoddataLauncher");

	GDTP.addProperty("APP_PARAMETERS","METHOD","getNumCuestionariosPortada");

	GDTP.addGroup("APP_DATA");

	GDTP.addProperty("APP_DATA","mesReferencia",document.forms["formWellcome"].elements["filtro(mes)"].value);

	GDTP.addProperty("APP_DATA","anyoReferencia",document.forms["formWellcome"].elements["filtro(ano)"].value);

	GDTP.addProperty("APP_DATA","territorio",document.forms["formWellcome"].elements["filtro(codProv)"].value);

	GDTP.addProperty("APP_DATA","municipio",document.forms["formWellcome"].elements["filtro(codMuni)"].value);	

	var response 	= Comm.submitGDTP(GDTP,"/q02b"+MODULO+"War/comunJSP/q02blauncher.jsp?" + getIndNoPortalParaUrl(),"POST");

	var result 		= response.getProperty("RESULT_1","RESULT");	

	if(result=="OK"){		

		document.forms["formWellcome"].elements["filtro(numCuestionariosOM)"].value=response.getProperty("RESULT_1","numCuestionariosOM");		

		document.forms["formWellcome"].elements["filtro(numCuestionariosSM)"].value=response.getProperty("RESULT_1","numCuestionariosSM");

		document.forms["formWellcome"].elements["filtro(numCuestionariosVA)"].value=response.getProperty("RESULT_1","numCuestionariosVA");

		document.forms["formWellcome"].elements["prevSueloInicial"].value=response.getProperty("RESULT_1","prevSueloInicial");		

		document.forms["formWellcome"].elements["concedidoLicenInicial"].value=response.getProperty("RESULT_1","concedidoLicenInicial");		

		document.forms["formWellcome"].elements["concedidoLicenVAPM"].value=response.getProperty("RESULT_1","concedidoLicenVAPM");		

		document.forms["formWellcome"].elements["niGrupoCuesSMAnu"].value=response.getProperty("RESULT_1","niGrupoCuesSMAnu");	

		document.forms["formWellcome"].elements["niGrupoCuesVTMAnu"].value=response.getProperty("RESULT_1","niGrupoCuesVTMAnu");			

	}

	comprobarBotonesListados();

}





function accionesSiOM(){

	limpiarObservaciones("filtro(obsVTM)");

	ocultarCapa("divObservacionesOM");

	deshablitarBtnRellenar();

	hablitarBtnRellenar("btnRellenarOM");

	informarRealizaActuacion(1);

	resetRadios("siNoSM");

	resetRadios("siNoVA");

}



function accionesNoOM(){

	alert(msgOpcionNo);

	mostrarCapa("divObservacionesOM");

	deshablitarBtnRellenar();

	informarRealizaActuacion(0);

	resetRadios("siNoSM");

	resetRadios("siNoVA");

	document.forms["formWellcome"].elements["filtro(obsVTM)"].focus();

}



function accionesSiSM(){

	limpiarObservaciones("filtro(obsSuelo)");

	ocultarCapa("divObservacionesSM");

	//ocultarCapa("divAlquilerMunicipal");

	deshablitarBtnRellenar();

	hablitarBtnRellenar("btnRellenarSM");

	informarPrevSuelo(1);

	resetRadios("siNoOM");

	resetRadios("siNoVA");

}



function accionesNoSM(){

	alert(msgOpcionNo);

	mostrarCapa("divObservacionesSM");

	deshablitarBtnRellenar();

	informarPrevSuelo(0);

	resetRadios("siNoOM");

	resetRadios("siNoVA");

	document.forms["formWellcome"].elements["filtro(obsSuelo)"].focus();

}



function accionesSiVAPM(){

	limpiarObservaciones("filtro(observacionesVA)");

	ocultarCapa("divObservacionesVA");

	deshablitarBtnRellenar();

	hablitarBtnRellenar("btnRellenarVA");

	informarConcedidoLicen(1);

	resetRadios("siNoOM");

	resetRadios("siNoSM");

}



function accionesNoVAPM(){

	alert(msgOpcionNo);

	mostrarCapa("divObservacionesVA");

	deshablitarBtnRellenar();

	informarConcedidoLicen(0);

	resetRadios("siNoOM");

	resetRadios("siNoSM");

	document.forms["formWellcome"].elements["filtro(observacionesVA)"].focus();

}



function irCuestionarioSMClick(){

	document.forms["formWellcome"].elements["filtro(estadoCapaSM)"].value = "true";	

	document.forms["formWellcome"].elements["siNoSM"][0].checked=false;

	document.forms["formWellcome"].elements["siNoSM"][1].checked=false;

	habilitarRadio("siNoSM");

	if (document.forms["formWellcome"].elements["filtro(mes)"].value != "1")

	{

		//ocultarCapa("divBotonVA");

		//ocultarCapa("divAlquilerMunicipal");

	}

	else

	{	

		//mostrarCapa("divBotonVA");

	}

	if(document.forms["formWellcome"].elements["siNoOM"][1].checked){//Ha seleccionado NO

		if(confirm(msgRespNo)){

		}

		else  return false;

	}

	else {

		if((document.forms["formWellcome"].elements["filtro(numCuestionariosOM)"].value==0 && document.forms["formWellcome"].elements["concedidoLicenInicial"].value=="") || document.forms["formWellcome"].elements["filtro(numCuestionariosOM)"].value==""){//N?Cuestionarios > 0

			alert("Debe conceder alguna licencia de obra mayor para poder acceder al siguiente cuestionario");

			return false;

		}	

		else{

			irCuestionarioSM();

		}

	}

}



function irCuestionarioSM(){

	mostrarCapa("divSueloMunicipal");

	validarBtnIrCuesationarioVA();

	deshabilitarPreguntaOM();

}



function irCuestionarioVAClick(){

	document.forms["formWellcome"].elements["filtro(estadoCapaVA)"].value = "true";	

	document.forms["formWellcome"].elements["siNoVA"][0].checked=false;

	document.forms["formWellcome"].elements["siNoVA"][1].checked=false;

	habilitarRadio("siNoVA");

	if(document.forms["formWellcome"].elements["siNoSM"][1].checked){//Ha seleccionado NO

			if(confirm(msgRespNo)){

			}

			else  return false;

		}

	else {

		if((document.forms["formWellcome"].elements["filtro(numCuestionariosSM)"].value==0 && document.forms["formWellcome"].elements["prevSueloInicial"].value=="") || document.forms["formWellcome"].elements["filtro(numCuestionariosSM)"].value==""){//N?Cuestionarios > 0

			alert("Debe realizar alguna operaci?n de obtenci?n de suelo destinado a vivenda de protecci?n p?blica para poder acceder al siguiente cuestionario");

			return false;

		}	

		else{

			irCuestionarioVA();

		}

	}

	

}



function irCuestionarioVA(){

	mostrarCapa("divAlquilerMunicipal");

	document.forms["formWellcome"].elements["siNoVA"][0].checked=false;

	document.forms["formWellcome"].elements["siNoVA"][1].checked=false;

	habilitarRadio("siNoVA");

	obtenerNumCuestionarios();	

	deshabilitarPreguntaSM();

}



function validarBtnIrCuesationarioVA(){

	//if(!esEnero())

		//document.forms["formWellcome"].btnIrCuestionarioVA.style.visibility="hidden";

	//else document.forms["formWellcome"].btnIrCuestionarioVA.style.visibility="visible";

		

}



function esEnero(){

	var fechaHoy = new Date();

	var mes = fechaHoy.getMonth();

	if(mes==0)

		return true;

	return false;

}



function deshabilitarPreguntaOM(){

	deshabilitarRadios(RADIO_OM);

	//document.forms["formWellcome"].btnIrCuestionarioSM.disabled="true";

}



function habilitarPreguntaSM(){

	habilitarRadio(RADIO_SM);

}



function deshabilitarPreguntaSM(){

	deshabilitarRadios(RADIO_SM);

	//document.forms["formWellcome"].btnIrCuestionarioVA.disabled="true";

}



function habilitarPreguntaVAPM(){

	if(esEnero())

		habilitarRadio(RADIO_VA);

	else deshabilitarPreguntaVAPM();

}



function deshabilitarPreguntaVAPM(){

	deshabilitarRadios(RADIO_VA);

}



function deshabilitarRadios(radio){

	document.forms["formWellcome"].elements[radio][0].checked=false;

	document.forms["formWellcome"].elements[radio][1].checked=false;

	document.forms["formWellcome"].elements[radio][0].disabled=true;

	document.forms["formWellcome"].elements[radio][1].disabled=true;

}



function habilitarRadio(radio){

	document.forms["formWellcome"].elements[radio][0].disabled=false;

	document.forms["formWellcome"].elements[radio][1].disabled=false;

}



function informarRealizaActuacion(valor){

	document.forms["formWellcome"].elements["filtro(realizaActuacion)"].value=valor;

}



function informarPrevSuelo(valor){

	document.forms["formWellcome"].elements["filtro(prevSuelo)"].value=valor;

}



function informarConcedidoLicen(valor){

	document.forms["formWellcome"].elements["filtro(concedidoLicen)"].value=valor;

}



function mostrarCapa(idCapa){

	document.all[idCapa].style.display="block";

}



function ocultarCapa(idCapa){

	document.all[idCapa].style.display="none";

}



function deshablitarBtnRellenar(){

	//document.forms["formWellcome"].btnRellenar.disabled=true;

	document.forms["formWellcome"].btnRellenarOM.disabled=true;

	document.forms["formWellcome"].btnRellenarSM.disabled=true;

	document.forms["formWellcome"].btnRellenarVA.disabled=true;

}



function hablitarBtnRellenar(idBoton){

	eval("document.forms['formWellcome']." + idBoton + ".disabled=false;");



}



function limpiarObservaciones(idCampo){

	document.forms["formWellcome"].elements[idCampo].value="";

}



function resetearCapas()

{

	//document.forms["formWellcome"].elements["municipioSeleccionado"].value = "";

	document.forms["formWellcome"].elements["filtro(estadoCapaSM)"].value = "false";

	document.forms["formWellcome"].elements["filtro(estadoCapaVA)"].value = "false";

	document.forms["formWellcome"].elements["siNoOM"][0].checked=false;

	document.forms["formWellcome"].elements["siNoOM"][1].checked=false;	

	ocultarCapa("divObservacionesOM");

	//ocultarCapa("divSueloMunicipal");

	//ocultarCapa("divAlquilerMunicipal");

	//document.forms["formWellcome"].elements["btnIrCuestionarioSM"].disabled=false;

	//document.forms["formWellcome"].elements["btnIrCuestionarioVA"].disabled=false;

	habilitarRadio("siNoOM");

	

	

}



function validarPrevSuelo(){	

	if(document.forms["formWellcome"].elements["prevSueloInicial"].value!=""){//Ya existe grupo para los datos seleccionado

		if(document.forms["formWellcome"].elements["prevSueloInicial"].value=="0" && document.forms["formWellcome"].elements["filtro(prevSuelo)"].value=="1"){

				if(confirm(msgPrevSuelo)){

					document.forms["formWellcome"].elements["filtro(modificarPrevSuelo)"].value="1";

					//submmitFormulario(KEY_SM);

					return true;

				}

				else return false;

		}else if(document.forms["formWellcome"].elements["prevSueloInicial"].value=="1" && document.forms["formWellcome"].elements["filtro(prevSuelo)"].value=="0"){//Primero se guard? con un SI y ahora se pretende guardar NO

			//alert(msgExistenCuestionarios);

			if(confirm(msgExistenCuestionarios)){

				document.forms["formWellcome"].elements["filtro(modificarPrevSuelo)"].value="1";

				return true;

			}else return false;

		}

	}

	return true;

}



function validarConcedidoLicen(){		

	if(document.forms["formWellcome"].elements["concedidoLicenInicial"].value!=""){//Ya existe grupo para los datos seleccionado		

	

		if(document.forms["formWellcome"].elements["concedidoLicenInicial"].value=="0" && document.forms["formWellcome"].elements["filtro(realizaActuacion)"].value=="1"){				

	

				if(confirm(msgConcedidoLicen)){

					document.forms["formWellcome"].elements["filtro(modificarConcedidoLicen)"].value="1";

					//submmitFormulario(KEY_OM);

					return true;

				}

	

				else return false;

		}else if(document.forms["formWellcome"].elements["concedidoLicenInicial"].value=="1" && document.forms["formWellcome"].elements["filtro(realizaActuacion)"].value=="0"){//Primero se guard? con un SI y ahora se pretende guardar NO			

	

			if(confirm(msgExistenCuestionarios)){

				document.forms["formWellcome"].elements["filtro(modificarConcedidoLicen)"].value="1";

				return true;

			}

			else return false;

		}

	

	}

	

	return true;

}



function validarConcedidoLicenVAPM(){			

	if(document.forms["formWellcome"].elements["concedidoLicenVAPM"].value!=""){//Ya existe grupo para los datos seleccionado		

		if(document.forms["formWellcome"].elements["concedidoLicenVAPM"].value=="0" && document.forms["formWellcome"].elements["filtro(concedidoLicen)"].value=="1"){				

				if(confirm(msgConcedidoLicenVAPM)){

					document.forms["formWellcome"].elements["filtro(modificarConcedidoLicenVAPM)"].value="1";

					//submmitFormulario(KEY_VAPM);

					return true;

				}

				else return false;

		}else if(document.forms["formWellcome"].elements["concedidoLicenVAPM"].value=="1" && document.forms["formWellcome"].elements["filtro(concedidoLicen)"].value=="0"){//Primero se guard? con un SI y ahora se pretende guardar NO

			if(confirm(msgExistenCuestionarios)){

				document.forms["formWellcome"].elements["filtro(modificarConcedidoLicenVAPM)"].value="1";

				return true;

			}

			else return false;

		}		

	}

	return true;

}





function resetearRadios(){

	deshablitarBtnRellenar();

	document.forms["formWellcome"].elements["siNoOM"][0].checked=false;

	document.forms["formWellcome"].elements["siNoOM"][1].checked=false;

	document.forms["formWellcome"].elements["siNoSM"][0].checked=false;

	document.forms["formWellcome"].elements["siNoSM"][1].checked=false;

	document.forms["formWellcome"].elements["siNoVA"][0].checked=false;

	document.forms["formWellcome"].elements["siNoVA"][1].checked=false;

}





function resetRadios(idRadio){

	document.forms["formWellcome"].elements[idRadio][0].checked=false;

	document.forms["formWellcome"].elements[idRadio][1].checked=false;

}



function limpiarOcultarObservaciones(){

	ocultarCapa("divObservacionesOM");

	limpiarObservaciones("filtro(obsVTM)");

	ocultarCapa("divObservacionesSM");

	limpiarObservaciones("filtro(obsSuelo)");

	ocultarCapa("divObservacionesVA");

	limpiarObservaciones("filtro(observacionesVA)");

}



function borrarNiGrupoCuestionarioSM(){

	document.forms["formWellcome"].elements["niGrupoCuesSMAnu"].value="";

}



function resetearIndicadorModificacion(){

	document.forms["formWellcome"].elements["filtro(modificarPrevSuelo)"].value="";	

	document.forms["formWellcome"].elements["filtro(modificarConcedidoLicen)"].value="";

}





function consultarOMClick(){

	submmitFormulario(KEY_CONSULTAR_OM);

}



function consultarSMClick(){

	submmitFormulario(KEY_CONSULTAR_SM);

}



function consultarVAPMClick(){

	submmitFormulario(KEY_CONSULTAR_VAPM);

}



function cargarValoresCombos(){

	provinciaActual=document.forms["formWellcome"].elements["filtro(codigoProvincia)"].value;

	municipioActual=document.forms["formWellcome"].elements["filtro(codigoMunicipio)"].value;

		

}



function comprobarBotonesListados(){

	if(document.forms["formWellcome"].elements["filtro(numCuestionariosOM)"].value==0)

		document.forms["formWellcome"].btnConsultarOM.disabled=true;	

	else document.forms["formWellcome"].btnConsultarOM.disabled=false;	

	if(document.forms["formWellcome"].elements["filtro(numCuestionariosSM)"].value==0)

		document.forms["formWellcome"].btnConsultarSM.disabled=true;	

	else document.forms["formWellcome"].btnConsultarSM.disabled=false;	

	if(document.forms["formWellcome"].elements["filtro(numCuestionariosVA)"].value==0)

		document.forms["formWellcome"].btnConsultarVAPM.disabled=true;	

	else document.forms["formWellcome"].btnConsultarVAPM.disabled=false;	

}





